Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.portlet
Class PortletCategoriesIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletCategoriesID>
              com.bea.portal.tools.portal.portlet.PortletCategoriesIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class PortletCategoriesIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletCategoriesID>

Identifies the collection of portlet categories.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`PortletCategoriesIDBuilder()` Constructor.

Method Summary
`PortletCategoriesID` | `createResourceID()` Create the `PortletCategoriesID`.
`int` | `getId()` Get the identifier of the referrent portlet category.
`PortletCategoryDefinitionId` | `getPortletCategoryDefinitionId()` Get the `PortletCategoriesDefinitionId`.
`PortletCategoriesIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`PortletCategoriesIDBuilder` | `setId(Integer id)` Change the identifier of the referrent portlet category.
`PortletCategoriesIDBuilder` | `setPortletCategoryDefinitionId(PortletCategoryDefinitionId portletCategoryDefinitionId)` Change the `PortletCategoriesDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletCategoriesIDBuilder

    public PortletCategoriesIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public PortletCategoriesIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<PortletCategoriesID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `PortletCategoriesIDBuilder`

### getId

    public int getId()

  Get the identifier of the referrent portlet category.

  Returns
    the identifier of the referrent portlet category

### setId

    public PortletCategoriesIDBuilder setId(Integer id)

  Change the identifier of the referrent portlet category.

  Parameters
    `id` - the identifier of the referrent portlet category
  Returns
    this `PortletCategoriesIDBuilder`

### getPortletCategoryDefinitionId

    public PortletCategoryDefinitionId getPortletCategoryDefinitionId()

  Get the `PortletCategoriesDefinitionId`.

  Returns
    the `PortletCategoriesDefinitionId`

### setPortletCategoryDefinitionId

    public PortletCategoriesIDBuilder setPortletCategoryDefinitionId(PortletCategoryDefinitionId portletCategoryDefinitionId)

  Change the `PortletCategoriesDefinitionId`.

  Parameters
    `portletCategoryDefinitionId` - the `PortletCategoriesDefinitionId`
  Returns
    this `PortletCategoriesDefinitionIDBuilder`

### createResourceID

    public PortletCategoriesID createResourceID()

  Create the `PortletCategoriesID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<PortletCategoriesID>`
  Returns
    the `PortletCategoriesID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.